
ASN1PLAT=linux-gcc-3.2-glibc-2.2-2.3
ASN1PROD=asn1cpp
ASN1VER=4.3.2

OSS_ASN1_CPP_DIR = $(OSSINFO)/$(ASN1PROD)/$(ASN1PLAT)/$(ASN1VER)

OSS_INC = $(OSS_ASN1_CPP_DIR)/include
OSS_LIB = $(OSS_ASN1_CPP_DIR)/lib

ASN1 = $(OSS_ASN1_CPP_DIR)/bin/asn1cpp

ASN1FLAGS =
ASN1FILES =bcas.asn

# Which archive ...
A = a

CC = g++

INCLUDES = -I. -I$(OSS_INC)
CFLAGS = $(INCLUDES) -DEXCEPTIONS_SUPPORTED=0 -g

EXECUTABLE =tbcas

.SUFFIXES: .o .c
.cpp.o:
	$(CC) $(CFLAGS) -c $<

LIB = $(OSS_LIB)/libosscpp.a  $(OSS_LIB)/libcppsoed.a -lpthread

all: $(EXECUTABLE).txt
	more $(EXECUTABLE).txt

bcas.cpp bcas.h: $(ASN1FILES)
	$(ASN1) $(ASN1FILES) $(ASN1FLAGS)


$(EXECUTABLE).txt: $(EXECUTABLE)
	./$(EXECUTABLE) > $(EXECUTABLE).txt

$(EXECUTABLE): tbcas.o bcas.o 
	$(CC) -o $@ tbcas.o bcas.o $(LIB)

tbcas.o: bcas.h

clean:
	rm -f tbcas.o bcas.o bcas.cpp bcas.h $(EXECUTABLE) $(EXECUTABLE).txt
